﻿@model List<UserView>
@{
    ViewBag.Title = "Web Portal Users";
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMUsers.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMUsers.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMUsers.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMUsers.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _AsigComp = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMUsers.ToDescriptionString() && c.InternalKey == Enums.Actions.AsigCompany.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<h1 class="page-header">@Users.USRS</h1>
<div class="row">
    <div class="col-md-3">
        <div class="panel-group" id="accordion">
            <div class="panel panel-default">
                <div class="panel-heading buscar_main">
                    <h3 class="panel-title">
                        <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseOne">@Users.Search</a>
                        <i class="indicator glyphicon glyphicon-search  pull-right"></i>
                    </h3>
                </div>
                <div id="collapseOne" class="panel-collapse collapse in">
                    <div class="panel-body">
                        <div class="form-group">
                            <div class="clear_simple"></div>
                            <div class="col-md-12">
                                @Html.TextBox("txtUserName", null,
                                    new
                                    {
                                        @Id = "txtUserName",
                                        @Name = "txtUserName",
                                        @placeholder = @Users.Name,
                                        @class = "form-control"
                                    })
                            </div>
                        </div>


                    </div>

                    <div class="panel-footer">
                        <button type="button" id="btSearch" class="btn btn-success btn-ls pull-left " data-toggle="modal">
                            <span class="glyphicon glyphicon-search"></span>@Users.Search
                        </button>
                    </div>

                </div>



            </div>
        </div>
    </div>


    <div id="BodyPO" class="col-md-9 sidebar-data">
        <div class="panel panel-default">
            <div class="panel-body">
                <div class="table-responsive responsive table_cart">
                    <table id="assets-data-tableUsers" class="table table-striped table-hover display" style="width:100%;"></table>
                    <script type="text/javascript">
                        var assetListUsers;
                        $(function () {
                            assetListUsers = {
                                dt: null,
                                init: function () {
                                    dt = $('#assets-data-tableUsers').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "ajax": {
                                            "url": "/Users/ListUsers",
                                            "type": "POST",
                                            "data": function (data) {
                                                data.pCodeVendor = $("#txtUserName").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "#", "data": "IdUser", "name": "IdUser" },
                                            { "title": "@Users.Name", "data": "Name", "name": "Name" },
                                            {
                                                "title": "", "name": "", "data": null,
                                                "render": function (data, type, full, meta) {
                                                    var returnValue = "";
                                                    @{
                                                            string urlUpdate = Url.Action("ActionUsers", "Users",
                                                                             new { @ActionUsers = "Update", @IdUser = "{0}" });
                                                        }

                                                    if (@_Update.ToString().ToLower() == true) {
                                                        returnValue += "<a href=\"/Users/ActionUsers/?ActionUsers=Update&IdUser=" + data.IdUser +"\" class=\"btn btn-primary btn-xs\" style=\"margin-right:2px !important\"><span class=\"glyphicon glyphicon-circle-arrow-right\"></span>&nbsp;@PurchaseOrders.Edit</a>";
                                                    }

                                                    if (@_Delete.ToString().ToLower() == true) {
                                                        returnValue += "<a href=\"/Users/ActionUsers/?ActionUsers=Delete&IdUser=" + data.IdUser + "\" class=\"btn btn-primary btn-xs\" style=\"margin-right:2px !important\"><span class=\"glyphicon glyphicon-trash\"></span>&nbsp;@PurchaseOrders.Delete</a>";
                                                    }

                                                    if (@_AsigComp.ToString().ToLower() == true  ) {
                                                        returnValue += "<a href=\"/Users/CompaniesUser/?IdUser=" + data.IdUser + "\" class=\"btn btn-primary btn-xs\" style=\"margin-right:2px !important\"><span class=\"glyphicon glyphicon-home\"></span>&nbsp;@Users.Companies</a>";
                                                        returnValue += "<a href=\"/Users/UDFUser/?IdUser=" + data.IdUser + "\" class=\"btn btn-primary btn-xs\" style=\"margin-right:2px !important\"><span class=\"glyphicon glyphicon-circle-arrow-right\"></span>&nbsp;UDF</a>";
                                                        returnValue += "<a href=\"/Users/UserBranch/?IdUser=" + data.IdUser + "\" class=\"btn btn-primary btn-xs\" style=\"margin-right:2px !important\"><span class=\"glyphicon glyphicon-list\"></span>&nbsp;Branches</a>";
                                                        returnValue += "<a class=\"btn btn-primary btn-xs\" onclick=\"ShowModal('" + data.IdUser + "')\" style=\"margin-right:2px !important\"><span class=\"glyphicon glyphicon-book\"></span>&nbsp;@Users.Duplicate</a>";
                                                    }
                                                    return returnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                        language: {
                                            processing: "@DataTables.Processing",
                                            lengthMenu: "@DataTables.Show _MENU_ @DataTables.Entries",
                                            info: "@DataTables.Showing _START_ @DataTables.To _END_ @DataTables.Of _TOTAL_ @DataTables.Entries",
                                            paginate: {
                                                previous: "@DataTables.Previous",
                                                next: "@DataTables.Next"
                                            }
                                        },
                                    });
                                },
                                refresh: function () {
                                    dt.ajax.reload();
                                }
                            }
                        });
                    </script>
                </div>
            </div>
        </div>
    </div>
</div>


</div>

<div class="col-md-2 pull-right but_blok_footer">
    @if (_Add)
    {
        <a href='@Url.Action("ActionUsers", "Users", new { @ActionUsers = "Add", @IdUser = 0 })' class="btn btn-success btn-lg pull-right ">
            <span class="glyphicon glyphicon-file"></span>&nbsp;@Users.AU
        </a>
    }
</div>

@Html.Partial("_Error")

<div class="modal fade" id="openModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">@Users.AU</h4>
            </div>

            @using (Html.BeginForm("DuplicateUser", "Users", FormMethod.Post, new { id = "frmDuplicateUser", name = "frmDuplicateUser" }))
            {

                @Html.Hidden("IdUser", null, new { @Id = "IdUser", @Name = "IdUser" })


                <div class="col-md-12" style="padding-top:25px;">

                    <div class="col-md-4">
                        <div class="row">
                            <label class="col-md-3 control-label">@Users.USR</label>
                            <div class="col-md-9">
                                @Html.TextBox("IdUserText", null, new { @Id = "IdUserText", @Name = "IdUserText",
                                   @placeholder = @Users.Name, @class = "form-control", @disabled="true",
                                   @required = "required"
                           })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@Users.Name</label>
                            <div class="col-md-9">
                                @Html.TextBox("Name", null, new { @Id = "Name", @Name = "Name",
                                    @placeholder = @Users.Name, @class = "form-control" })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@Users.Password</label>
                            <div class="col-md-9">
                                @Html.TextBox("Password", null, new { @Id = "Password", @Name = "Password",
                                    @placeholder = @Users.Password, @class = "form-control", @type="password" })
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <a href="#" class="btn btn-success" type="button" id="btnDuplicate" name="btnDuplicate">
                        <span class="glyphicon glyphicon-search"></span>@Users.AU
                    </a>
                </div>
            }
        </div>
    </div>
</div>

<script type="text/javascript">

    $("#btnDuplicate").click(function (event) {

        var url = "/Users/DuplicateUser";
        var postData = $("#frmDuplicateUser").serialize();

        $.post(url, postData, function (data) {
            $('#openModal').modal('hide');

            $("#errorMessage").empty().append("<strong>" + data + "</strong>");
            $("#errorMessage").show('slow');
            $('#errorBox').modal({
                backdrop: 'static',
                keyboard: true
            });

            $('#btSearch').click();
        });
    });


    $("#btSearch").click(function () {
        if (typeof dt === 'undefined') {
            assetListUsers.init();
        }
        else
        {
            assetListUsers.refresh();
        }
    });

    $('#openModal').modal('hide');

    if ('@ViewBag.Error' == "Error: 401") {
        $("#errorMessage").empty().append("<strong>" + "@Users.ErrorUAP " + "@ViewBag.CompanyError " + "@Users.AW" + "</strong>");
        $("#errorMessage").show('slow');
        $('#errorBox').modal({
            backdrop: 'static',
            keyboard: true
        });
    }

    function ShowModal(userId) {
        $("#IdUser").val(userId);
        $("#IdUserText").val(userId);

        $('#openModal').modal({
            backdrop: 'static',
            keyboard: true
        });
    }
</script>

